#include "../include/messages.h"


// COMMANDS

char *DCC            = "\001DCC";
char *PASS           = "PASS";
char *OPER           = "OPER";
char *SERVICE        = "SERVICE";
char *TOPIC          = "TOPIC";
char *NAMES          = "NAMES";
char *INVITE         = "INVITE";
char *KICK           = "KICK";
char *MOTD           = "MOTD";
char *LUSERS         = "LUSERS";
char *USERS          = "USERS";
char *VERSION        = "VERSION";
char *STATS          = "STATS";
char *TIME           = "TIME";
char *CONNECT        = "CONNECT";
char *TRACE          = "TRACE";
char *ADMIN          = "ADMIN";
char *INFO           = "INFO";
char *SQUERY         = "SQUERY";
char *WHOWAS         = "WHOWAS";
char *KILL           = "KILL";
char *ERROR          = "ERROR";
char *AWAY           = "AWAY";
char *REHASH         = "REHASH";
char *DIE            = "DIE";
char *RESTART        = "RESTART";
char *SUMMON         = "SUMMON";
char *WALLOPS        = "WALLOPS";
char *USERHOST       = "USERHOST";
char *ISON           = "ISON";
char *NICK           = "NICK";
char *USER           = "USER";
char *LIST           = "LIST";
char *JOIN           = "JOIN";
char *PART           = "PART";
char *MODE           = "MODE";
char *PING           = "PING";
char *PONG           = "PONG";
char *WHO            = "WHO";
char *QUIT           = "QUIT";
char *SQUIT           = "SQUIT";
char *WHOIS          = "WHOIS";
char *NOTICE          = "NOTICE";
char *PRIVMSG        = "PRIVMSG";


// ERRORS

char *ERR_NOSUCHNICK       = "401";
char *ERR_NOSUCHSERVER     = "402";
char *ERR_NOSUCHCHANNEL    = "403";
char *ERR_CANNOTSENDTOCHAN = "404";
char *ERR_TOOMANYCHANNELS  = "405";
char *ERR_WASNOSUCHNICK    = "406";
char *ERR_TOOMANYTARGETS   = "407";
char *ERR_NOSUCHSERVICE    = "408";
char *ERR_NOORIGIN         = "409";
char *ERR_NORECIPIENT      = "411";
char *ERR_NOTEXTTOSEND     = "412";
char *ERR_NOTOPLEVEL       = "413";
char *ERR_WILDTOPLEVEL     = "414";
char *ERR_BADMASK          = "415";
char *ERR_UNKNOWNCOMMAND   = "421";
char *ERR_NOMOTD           = "422";
char *ERR_NOADMININFO      = "423";
char *ERR_FILEERROR        = "424";
char *ERR_NONICKNAMEGIVEN  = "431";
char *ERR_ERRONEUSNICKNAME = "432";
char *ERR_NICKNAMEINUSE    = "433";
char *ERR_NICKCOLLISION    = "436";
char *ERR_UNAVAILRESOURCE  = "437";
char *ERR_USERNOTINCHANNEL = "441";
char *ERR_NOTONCHANNEL     = "442";
char *ERR_USERONCHANNEL    = "443";
char *ERR_NOLOGIN          = "444";
char *ERR_SUMMONDISABLED   = "445";
char *ERR_USERSDISABLED    = "446";
char *ERR_NOTREGISTERED    = "451";
char *ERR_NEEDMOREPARAMS   = "461";
char *ERR_ALREADYREGISTRED = "462";
char *ERR_NOPERMFORHOST    = "463";
char *ERR_PASSWDMISMATCH   = "464";
char *ERR_YOUREBANNEDCREEP = "465";
char *ERR_YOUWILLBEBANNED  = "466";
char *ERR_KEYSET           = "467";
char *ERR_CHANNELISFULL    = "471";
char *ERR_UNKNOWNMODE      = "472";
char *ERR_INVITEONLYCHAN   = "473";
char *ERR_BANNEDFROMCHAN   = "474";
char *ERR_BADCHANNELKEY    = "475";
char *ERR_BADCHANMASK      = "476";
char *ERR_NOCHANMODES      = "477";
char *ERR_BANLISTFULL      = "478";
char *ERR_NOPRIVILEGES     = "481";
char *ERR_CHANOPRIVSNEEDED = "482";
char *ERR_CANTKILLSERVER   = "483";
char *ERR_RESTRICTED       = "484";
char *ERR_UNIQOPPRIVSNEEDED= "485";
char *ERR_NOOPERHOST       = "491";
char *ERR_UMODEUNKNOWNFLAG = "501";
char *ERR_USERSDONTMATCH   = "502";


// REPLIES

char *RPL_WELCOME         = "001";
char *RPL_YOURHOST        = "002";
char *RPL_CREATED         = "003";
char *RPL_MYINFO          = "004";
char *RPL_BOUNCE          = "005";
char *RPL_NONE            = "300";
char *RPL_AWAY            = "301";
char *RPL_USERHOST        = "302";
char *RPL_ISON            = "303";
char *RPL_UNAWAY          = "305";
char *RPL_NOWAWAY         = "306";
char *RPL_WHOISUSER       = "311";
char *RPL_WHOISSERVER     = "312";
char *RPL_WHOISOPERATOR   = "313";
char *RPL_WHOISIDLE       = "317";
char *RPL_ENDOFWHOIS      = "318";
char *RPL_WHOISCHANNELS   = "319";
char *RPL_WHOWASUSER      = "314";
char *RPL_ENDOFWHOWAS     = "369";
char *RPL_LISTSTART       = "321";
char *RPL_LIST            = "322";
char *RPL_LISTEND         = "323";
char *RPL_CHANNELMODEIS   = "324";
char *RPL_UNIQOPIS        = "325";
char *RPL_NOTOPIC         = "331";
char *RPL_TOPIC           = "332";
char *RPL_INVITING        = "341";
char *RPL_SUMMONING       = "342";
char *RPL_INVITELIST      = "346";
char *RPL_ENDOFINVITELIST = "347";
char *RPL_EXCEPTLIST      = "348";
char *RPL_ENDOFEXCEPTLIST = "349";
char *RPL_VERSION         = "351";
char *RPL_WHOREPLY        = "352";
char *RPL_ENDOFWHO        = "315";
char *RPL_NAMREPLY        = "353";
char *RPL_ENDOFNAMES      = "366";
char *RPL_LINKS           = "364";
char *RPL_ENDOFLINKS      = "365";
char *RPL_BANLIST         = "367";
char *RPL_ENDOFBANLIST    = "368";
char *RPL_INFO            = "371";
char *RPL_ENDOFINFO       = "374";
char *RPL_MOTDSTART       = "375";
char *RPL_MOTD            = "372";
char *RPL_ENDOFMOTD       = "376";
char *RPL_YOUREOPER       = "381";
char *RPL_REHASHING       = "382";
char *RPL_YOURESERVICE    = "383";
char *RPL_TIME            = "391";
char *RPL_USERSSTART      = "392";
char *RPL_USERS           = "393";
char *RPL_ENDOFUSERS      = "394";
char *RPL_NOUSERS         = "395";
char *RPL_TRACELINK       = "200";
char *RPL_TRACECONNECTING = "201";
char *RPL_TRACEHANDSHAKE  = "202";
char *RPL_TRACEUNKNOWN    = "203";
char *RPL_TRACEOPERATOR   = "204";
char *RPL_TRACEUSER       = "205";
char *RPL_TRACESERVER     = "206";
char *RPL_TRACESERVICE    = "207";
char *RPL_TRACENEWTYPE    = "208";
char *RPL_TRACECLASS      = "209";
char *RPL_TRACERECONNECT  = "210";
char *RPL_TRACELOG        = "261";
char *RPL_TRACEEND        = "262";
char *RPL_STATSLINKINFO   = "211";
char *RPL_STATSCOMMANDS   = "212";
char *RPL_STATSCLINE      = "213";
char *RPL_STATSNLINE      = "214";
char *RPL_STATSILINE      = "215";
char *RPL_STATSKLINE      = "216";
char *RPL_STATSYLINE      = "218";
char *RPL_ENDOFSTATS      = "219";
char *RPL_UMODEIS         = "221";
char *RPL_SERVLIST        = "234";
char *RPL_SERVLISTEND     = "235";
char *RPL_STATSLLINE      = "241";
char *RPL_STATSUPTIME     = "242";
char *RPL_STATSOLINE      = "243";
char *RPL_STATSHLINE      = "244";
char *RPL_LUSERCLIENT     = "251";
char *RPL_LUSEROP         = "252";
char *RPL_LUSERUNKNOWN    = "253";
char *RPL_LUSERCHANNELS   = "254";
char *RPL_LUSERME         = "255";
char *RPL_ADMINME         = "256";
char *RPL_ADMINLOC1       = "257";
char *RPL_ADMINLOC2       = "258";
char *RPL_ADMINEMAIL      = "259";
char *RPL_TRYAGAIN        = "263";